%define name libetherx
%define version 1.0.1
%define release 3mdk

Summary: A library for jabber.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Buildrequires: libxode-devel adns-devel pth-devel

%description
  Originally, the etherx daemon routed XML streams among agents.
  Now the etherx daemon has morphed into a library that allows any agent
  to become the daemon if the daemon is not found.                                                                                                                                
%package devel 
Summary:   Package to make developpement with libetherx.
Copyright: GPL
Group: Development/C
Requires: %name = %version
%description devel
  Package to make developpement with libetherx.
  Originally, the etherx daemon routed XML streams among agents.
  Now the etherx daemon has morphed into a library that allows any agent
  to become the daemon if the daemon is not found.                                                                               

%prep
%setup
%configure

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_bindir}/*
%{_mandir}/*/*
%{_includedir}/*.h



%changelog
* Wed Oct  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-3mdk
- removed build requires on libetherx-devel.

* Tue Oct  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-2mdk
- add correct Buildrequires
- add requires in devel package

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- UP to 1.0.1

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Rebuild for next release

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release


# end of file
